Package org.opensaml.saml.metadata.resolver.impl

# Class AbstractMetadataResolver.EntityBackingStore

java.lang.Object
org.opensaml.saml.metadata.resolver.impl.AbstractMetadataResolver.EntityBackingStore

Direct Known Subclasses:
  `AbstractBatchMetadataResolver.BatchEntityBackingStore`, `AbstractDynamicMetadataResolver.DynamicEntityBackingStore`

Enclosing class:
  AbstractMetadataResolver

protected class AbstractMetadataResolver.EntityBackingStore extends Object
The collection of data which provides the backing store for the processed metadata.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Map<String,List<EntityDescriptor>>`
`indexedDescriptors`
Index of entity IDs to their descriptors.
`private final List<EntityDescriptor>`
`orderedDescriptors`
Ordered list of entity descriptors.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EntityBackingStore()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Map<String,List<EntityDescriptor>>`
`getIndexedDescriptors()`
Get the entity descriptor index.
`List<EntityDescriptor>`
`getOrderedDescriptors()`
Get the ordered entity descriptor list.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### indexedDescriptors

@Nonnull private final Map<String,List<EntityDescriptor>> indexedDescriptors
Index of entity IDs to their descriptors.

### orderedDescriptors

@Nonnull private final List<EntityDescriptor> orderedDescriptors
Ordered list of entity descriptors.

## Constructor Details

### EntityBackingStore

protected EntityBackingStore()
Constructor.

## Method Details

### getIndexedDescriptors

@Nonnull public Map<String,List<EntityDescriptor>> getIndexedDescriptors()
Get the entity descriptor index.

Returns:
  the entity descriptor index

### getOrderedDescriptors

@Nonnull public List<EntityDescriptor> getOrderedDescriptors()
Get the ordered entity descriptor list.

Returns:
  the entity descriptor list